Package org.apache.commons.compress.archivers.dump

# Enum DumpArchiveConstants.SEGMENT_TYPE

java.lang.Object
java.lang.Enum<DumpArchiveConstants.SEGMENT_TYPE>
org.apache.commons.compress.archivers.dump.DumpArchiveConstants.SEGMENT_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<DumpArchiveConstants.SEGMENT_TYPE>`

Enclosing class:
  `DumpArchiveConstants`

public static enum DumpArchiveConstants.SEGMENT_TYPE extends Enum<DumpArchiveConstants.SEGMENT_TYPE>
Enumerates the types of tape segment.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDR`
  ADDR with code 4.
  `BITS`
  BITS with code 3.
  `CLRI`
  CLRI with code 6.
  `END`
  END with code 5.
  `INODE`
  INODE with code 2.
  `TAPE`
  TAPE with code 1.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DumpArchiveConstants.SEGMENT_TYPE`
  `find(int code)`
  Finds the matching enumeration value for the given code.
  `static DumpArchiveConstants.SEGMENT_TYPE`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DumpArchiveConstants.SEGMENT_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TAPE

    public static final DumpArchiveConstants.SEGMENT_TYPE TAPE
    TAPE with code 1.

  - ### INODE

    public static final DumpArchiveConstants.SEGMENT_TYPE INODE
    INODE with code 2.

  - ### BITS

    public static final DumpArchiveConstants.SEGMENT_TYPE BITS
    BITS with code 3.

  - ### ADDR

    public static final DumpArchiveConstants.SEGMENT_TYPE ADDR
    ADDR with code 4.

  - ### END

    public static final DumpArchiveConstants.SEGMENT_TYPE END
    END with code 5.

  - ### CLRI

    public static final DumpArchiveConstants.SEGMENT_TYPE CLRI
    CLRI with code 6.

- ## Method Details

  - ### values

    public static DumpArchiveConstants.SEGMENT_TYPE[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DumpArchiveConstants.SEGMENT_TYPE valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### find

    public static DumpArchiveConstants.SEGMENT_TYPE find(int code)
    Finds the matching enumeration value for the given code.
    Parameters:
      `code` - a code.
    Returns:
      a value, or null if not found.